Subject: Re: linux-next: boot-params tree build failure

From: Geert Uytterhoeven <[email-masked]>
Date: Wed, 17 Dec 2008 09:18:32 +0100 (CET)

On Wed, 17 Dec 2008, Stephen Rothwell wrote:
> The build of next-20081216 (m68k defconfig) failed like this:
> 
> arch/m68k/kernel/setup.c:230: error: conflicting types for '_end'
> arch/m68k/kernel/setup.c:215: error: previous declaration of '_end' was here
> 
> Caused by commit 0de5c2d9f02d2018fd671ca1015432dffa5eb338 ("param:
> arch_get_boot_command_line()") from the poot-params tree.

This is due to the existing

    extern int _etext, _edata, _end;

in and the newly added

    extern char _end[];

to arch/m68k/kernel/setup.c.

As these are already declared in asm-generic/sections.h (which is used by
asm-m68k/sections.h), I'll switch arch/m68k/kernel/setup.c to using them.

Gr{oetje,eeting}s,

						Geert

--
Geert Uytterhoeven -- There's lots of Linux beyond ia32 -- [email-masked]

In personal conversations with technical people, I call myself a hacker. But
when I'm talking to journalists I just say "programmer" or something like that.
							    -- Linus Torvalds